Desarrolladores

Leer la suscripción actual

GET
/billing/subscription

La suscripción actual de quien llama, o null si no tiene ninguna.

Autorización

headerAutorizaciónBearer <token>

Una API Key creada en la configuración de la cuenta, enviada como Authorization: Bearer <key>. Incluye los Scopes seleccionados al crearla.

Cuerpo de la respuesta

Correcto.

application/json
  1. response
subscription*|null
Solicitud de ejemplo
curl -X GET 'https://ximagesplitter.com/api/v1/billing/subscription'
Respuesta de ejemplo
{
  "subscription": {
    "subscriptionNo": "string",
    "providerCode": "string",
    "planId": "starter",
    "billingCycle": "monthly",
    "providerStatus": "string",
    "lifecycleStatus": "active",
    "willRenew": true,
    "nextRenewalAt": "2019-08-24T14:15:22Z",
    "scheduledEndAt": "2019-08-24T14:15:22Z",
    "pendingPlanChange": {
      "planId": "starter",
      "billingCycle": "monthly",
      "effectiveAt": "2019-08-24T14:15:22Z"
    },
    "currency": "string",
    "currentPeriodEnd": "2019-08-24T14:15:22Z",
    "billingPortalAvailable": true
  }
}